@font-face {
  font-family: 'GT Eesti Display';
  src:
    url('/nbapp/fonts/GTEestiDisplay-Light.woff2') format('woff2'),
    url('/nbapp/fonts/GTEestiDisplay-Light.woff') format('woff'),
    url('/nbapp/fonts/GTEestiDisplay-Light.ttf') format('truetype');
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'GT Eesti Display';
  src:
    url('/nbapp/fonts/GTEestiDisplay-LightItalic.woff2') format('woff2'),
    url('/nbapp/fonts/GTEestiDisplay-LightItalic.woff') format('woff'),
    url('/nbapp/fonts/GTEestiDisplay-LightItalic.ttf') format('truetype');
  font-weight: 400;
  font-style: italic;
  font-display: swap;
}

@font-face {
  font-family: 'GT Eesti Display';
  src:
    url('/nbapp/fonts/GTEestiDisplay-Regular.woff2') format('woff2'),
    url('/nbapp/fonts/GTEestiDisplay-Regular.woff') format('woff'),
    url('/nbapp/fonts/GTEestiDisplay-Regular.ttf') format('truetype');
  font-weight: 500;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'GT Eesti Display';
  src:
    url('/nbapp/fonts/GTEestiDisplay-Bold.woff2') format('woff2'),
    url('/nbapp/fonts/GTEestiDisplay-Bold.woff') format('woff'),
    url('/nbapp/fonts/GTEestiDisplay-Bold.ttf') format('truetype');
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'TF Hillmark';
  src:
    url('/nbapp/fonts/TFHillmark-Regular.woff2') format('woff2'),
    url('/nbapp/fonts/TFHillmark-Regular.woff') format('woff'),
    url('/nbapp/fonts/TFHillmark-Regular.ttf') format('truetype');
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'TF Hillmark';
  src:
    url('/nbapp/fonts/TFHillmark-Italic.woff2') format('woff2'),
    url('/nbapp/fonts/TFHillmark-Italic.woff') format('woff'),
    url('/nbapp/fonts/TFHillmark-Italic.ttf') format('truetype');
  font-weight: 400;
  font-style: italic;
  font-display: swap;
}

.header {
  grid-area: hp_header;
  z-index: 10;
  position: relative;
  width: 100%;
  padding-bottom: 1.65rem;
}

@media (max-width: 992px) {
  .header {
    overflow: hidden;
  }
}

.header_wrapper {
  max-width: 1320px;
  width: 100%;
  margin-left: auto;
  margin-right: auto;
  display: grid;
  height: 100%;
  align-items: center;
  grid-template-columns: 240px 1fr 240px;
  grid-template-rows: 1fr;
  grid-template-areas: "header__logo header__mainnav header__mininav";
  z-index: 2;
  position: relative;
}

.heading {
  font-family: var(--font-headings) !important;
}

@media (max-width: 992px) {
  .header_wrapper {
    column-gap: 0;
    align-items: flex-start;
    grid-template-columns: 1fr minmax(140px, 240px) 1fr;
    grid-template-rows: 45px auto;
    grid-template-areas:
        "header__nav header__logo header__quickcall"
        "header__mainnav header__mainnav header__mainnav";
  }

  .heading {
    font-size: 1.5rem !important;
    letter-spacing: normal;
  }
}

@media (max-width: 992px) and (max-width: calc(1320px + 2rem)) {
  .header_wrapper {
    padding: 1rem;
  }
}

.header_logo {
  grid-area: header__logo;
  display: flex;
  align-items: center;
  justify-content: flex-start;
}

@media (max-width: 992px) {
  .header_logo {
      justify-content: center;
      height: 100%;
  }
}

.header_logo a,
.header_logo img {
  width: var(--header-mobile-logo-width);
  height: auto;
}

.header_logo_dark {
  display: none;
}

.header_nav {
  grid-area: header__nav;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  color: white;
}

.header_nav svg {
  height: 2.2rem;
}

.header_quickcall {
  grid-area: header__quickcall;
  display: flex;
  align-items: center;
  justify-content: flex-end;
}

.header_quickcall a {
  margin-right: 15px;
}

.header_icon_quickcall {
  width: 2rem;
  height: auto;
  fill: transparent;
  stroke: var(--secondary-100);
  stroke-width: 2;
  stroke-linecap: round;
  stroke-linejoin: round;
}

.header_icon_quickcall_white {
  stroke: var(--white);
}

.header_expanded .header_icon_quickcall_white {
  stroke: var(--nrma-lightblue);
}

.header_mainnav {
  grid-area: header__mainnav;
  display: none;
  justify-self: flex-end;
  margin-top: 2.5rem;
}

.navmain_container {
  display: flex;
  gap: 1em;
  flex-direction: row;
}

.navmain_container div[class*="navigationpanel_subnav"] {
  gap: 0.5em;
}

.header_expanded {
  position: absolute;
  padding: 0;
  height: 100vh;
  max-height: 100vh;
  z-index: 100;
  background-color: var(--header-mobile-nav-background-color);
}

.header_expanded .header_logo_dark {
  display: block;
}

.header_expanded .header_logo_light {
  display: none;
}

.header_expanded .header_mainnav {
  display: block;
  padding: 0 1.5rem;
  width: 100%;
  margin-top: 0;
}

.header_expanded .header_nav {
  color: var(--nrma-lightblue);
}

.header_expanded .header_logo .dark_logo {
  display: block;
}

.header_expanded .header_logo .light_logo {
  display: none;
}

@media (max-width: 992px) {
  .navmain_container {
    display: flex;
    gap: 1em;
    flex-direction: column;
    margin-top: 1rem;
    margin-bottom: 1rem;
  }

  .navmain_item a {
    font-family: var(--font-mobile-heading-xs-family);
    font-size: var(--font-mobile-heading-xs-size);
    line-height: var(--font-mobile-heading-xs-line-height);
    text-transform: var(--font-mobile-heading-xs-text-transform);
    letter-spacing: var(--font-mobile-heading-xs-letter-spacing);
    margin-top: var(--font-mobile-heading-xs-margin-top);
    margin-bottom: var(--font-mobile-heading-xs-margin-bottom);
    font-weight: 500 !important;
    color: var(--neutral-40);
  }

  /* .navmain_container:not(.mobile) .navmain_item a {
    font-weight: 600 !important;
  } */

  .header_mainnav .mobile.button_wrapper a {
    display: flex;
    justify-content: flex-start;
  }

  .header_mainnav .mobile.button_wrapper a span {
    padding: var(--button-large-padding);
    height: var(--button-large-height);
    min-width: 179px !important;
  }
}

.navmain_item {
  font-weight: 500;
}

.navmain_item a {
  text-decoration: none;
  color: var(--menu-primary-text);
}

.navmain_item a:hover {
  cursor: pointer;
}

.navigationpanel_navitem {
  position: relative;
  display: block;
}

.navigationpanel_subnav {
  display: none;
}

.navigationpanel_navitem a.active + .navigationpanel_subnav {
  display: block;
}

@media (max-width: 992px) {
  .navmain_item a {
    color: var(--black);
    width: 100%;
    display: flex;
    justify-content: space-between;
    font-size: 1rem !important;
  }

  .navigationpanel_subnav a {
    font-weight: 400 !important;
    padding-left: 1.5rem;
  }
}

@media (min-width: 993px) {
  .navigationpanel_navitem:hover > .navigationpanel_subnav {
    display: flex;
    opacity: 1;
    z-index: 2;
    pointer-events: auto;
    transition: all 0.5s ease-in;
  }
}

.navigationpanel_navitem_isopen > .navigationpanel_subnav {
  display: flex;
  opacity: 1;
  z-index: 2;
  pointer-events: auto;
  transition: opacity height 0.15s ease-in;
}

@media (max-width: 992px) {
  .navigationpanel_navitem_isopen > .navigationpanel_subnav {
    height: 100%;
    border-top: 3px solid transparent;
  }
}

.navigationpanel_navitem_isparent svg {
  margin-left: 6px;
  margin-bottom: 3.2px;
  stroke-width: 1.5px;
  width: auto;
  stroke: currentColor;
}

@media (min-width: 993px) { 
  .navigationpanel_subnav {
    position: absolute;
    width: auto;
    opacity: 0;
    z-index: 0;
    pointer-events: none;
    flex-direction: column;
    border-top: 5px solid transparent;
    padding: 0.5rem 1rem 0.5rem 0.75rem;
    box-shadow: 0 6px 12px var(--overlay-black);
    background-clip: padding-box;
    background-color: var(--overlay-white-dropdown);
  }
}

.navigationpanel_subnavitem a {
  font-weight: 400;
  white-space: nowrap;
  text-decoration: none;
  color: var(--header-sticky-text) !important;
  width: 100%;
  display: inline-block;
}

.navigationpanel_subnavitem:hover a {
  color: var(--menu-primary-hover-bg) !important;
}

.header_mininav {
  grid-area: header__mininav;
  text-align: right;
  display: none;
}

.header_social {
  display: flex;
  justify-content: flex-end;
  gap: 0.5em;
  padding-bottom: 0.5em;
  font-size: .9rem;
  text-wrap: nowrap;
}

.header_social_white a {
  text-decoration: none;
  color: var(--white);
}

.header_button {
  display: flex;
  justify-content: flex-end;
}

.button_wrapper {
  display: block;
}

.button_link {
  display: flex;
  justify-content: center;
  align-items: center;
  color: inherit;
  font-weight: inherit;
  text-decoration: inherit;
  border: 0 solid transparent;
  padding: var(--button-inner-padding);
}

.button_item {
  position: relative;
  cursor: pointer;
  align-items: center;
  justify-content: center;
  margin-top: 0.125rem;
  margin-bottom: 0.125rem;
  text-decoration: none;
  transition: all .15s;
  display: var(--button-display-desktop);
  font-size: var(--button-medium-font-size);
  margin-right: 0.25rem;
  background-color: var(--button-primary-highem-bg);
  border: var(--button-primary-highem-border-width) solid var(--button-primary-highem-border-color);
  color: var(--button-primary-highem-text);
  border-width: 3px;
  min-width: var(--button-min-width);
  border-radius: var(--button-border-radius);
  box-shadow: var(--button-box-shadow);
  text-transform: var(--button-text-transform);
  letter-spacing: var(--button-letter-spacing);
  padding: var(--button-medium-padding);
  height: var(--button-medium-height);
  font-weight: var(--button-font-weight);
}

@media (min-width: 992px) {
  .header_quickcall {
    display: none;
  }

  .header_nav {
    display: none;
  }

  .header_mininav {
    display: block;
  }

  .header_mainnav {
    display: block;
  }

  .header_menuslot {
    display: flex;
  }
}

.hero_container {
  width: 100%;
  background-position: bottom;

  position: relative;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  background-size: cover;

  height: var(--height-desktop);
  background-image: var(--bg-image-desktop);
  top: -140px;
  margin-bottom: -140px;
}

@media (max-width: 992px) {
  .hero_container {
    height: var(--height-mobile);
    background-image: var(--bg-image-mobile);
  }
}

.hero_video {
  position: absolute;
  z-index: 2;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  overflow: hidden;
}

.hero_video_short {
  pointer-events: none;
}

.hero_curtain,
.hero_journeyline {
  width: 100%;
  height: 100%;
  position: absolute;
  pointer-events: none;
}

.hero_curtain {
  top: 0;
  left: 0;
  z-index: 2;
  box-shadow: inset 0 140px 140px -70px #000,inset 0 -175px 140px -140px #000;
}

.hero_journeyline {
  z-index: 3;
  background: url(/images/hero-swirl.svg) bottom no-repeat;
  background-size: 100%;
}

section[class*=hero] h2 {
  font-size: calc(2.25rem + 1.5vw);
  line-height: 1;
  font-weight: 400;
  font-family: var(--font-desktop-heading-l-family);
  text-transform: var(--font-desktop-heading-l-text-transform);
  letter-spacing: var(--font-desktop-heading-l-letter-spacing);
  margin-top: var(--font-desktop-heading-l-margin-top);
  margin-bottom: var(--font-desktop-heading-l-margin-bottom);
}

section[class*=hero] h2 strong {
  font-size: calc(4.5rem + 1.5vw);
  font-family: var(--font-special-family);
  font-weight: var(--font-special-weight);
  line-height: var(--font-special-line-height);
  text-transform: var(--font-special-text-transform);
  letter-spacing: var(--font-special-letter-spacing);
}

.hero_content {
  z-index: 2;
  position: -webkit-sticky;
  position: sticky;
}

.hero_content_default {
  max-width: 1320px;
  width: 100%;
  margin-left: auto;
  margin-right: auto;
}

.hero_content_wrapper {
  position: absolute;
  padding-top: 1rem;
  padding-bottom: 1rem;
  color: var(--white);
  text-shadow: 0 0 5px var(--black-rgb);
  width: auto;
  text-align: left;
  margin-right: 1rem;
}

.hero_content_menu {
  display: flex;
  gap: 1rem;
  margin-top: 1rem;
  font-size: 14px;
  line-height: 21px;
}

.hero_content_menu::after {
  content: "";
  width: 100%;
  position: absolute;
  bottom: 0.75rem;
  z-index: 0;
  border-bottom: 1px solid var(--white);
}

@media (max-width: 992px) { 
  .hero_content_wrapper {
    position: absolute;
    color: var(--white);
    text-shadow: 0 0 5px var(--black-rgb);
    width: 100%;
    font-family: var(--font-desktop-heading-m-family);
    font-weight: var(--font-desktop-heading-m-weight);
    line-height: var(--font-desktop-heading-m-line-height);
    text-transform: var(--font-desktop-heading-m-text-transform);
    letter-spacing: var(--font-desktop-heading-m-letter-spacing);
    bottom: 1rem;
    padding: 1rem;
    font-size: var(--font-mobile-heading-s-size);
  }

  .hero_content_menu {
    position: relative;
  }

  .hero_content_menu::after {
    bottom: -0.5rem;
  }
}

.hero_content_menu_item a {
  text-decoration: none;
  color: var(--menu-primary-text);
  position: relative;
}

.hero_content_menu_item a:hover {
  cursor: pointer;
}

.hero_content_menu_item a:hover::after {
  position: absolute;
  content: "";
  display: inline-block;
  height: 3px;
  width: 100%;
  border-radius: 3px;
  overflow: hidden;
  bottom: -8px;
  left: 0;
  background-color: var(--white);
}

@media (min-width: 992px) {
  .hero_content {
    z-index: 4;
  }

  .hero_content_wrapper {
    bottom: 143px;
  }

  .hero_content_menu {
    gap: 2rem;
    font-size: 18px;
    line-height: 27px;
  }
}

.searchbox {
  background-color: var(--searchbox-bg);
  color: var(--accommodation-filter-link-color);
  width: 100%;
  height: 90px;
  display: flex;
  justify-content: center;
  align-items: center;
  column-gap: 2rem;
  text-transform: uppercase;
  border-radius: 4px;
}

@media (max-width: 992px) {
  .searchbox {
    flex-direction: column;
    align-items: flex-start;
    padding: 1rem;
    height: auto;
    margin: 0 1rem;
    width: calc(100% - 2rem);
    column-gap: normal;
    row-gap: 2rem;
    margin-bottom: 2rem;
  }
}

.searchbox_date {
  display: flex;
  align-items: center;
  column-gap: 0.5em;
  cursor: pointer;
}

#datepicker_link {
  display: flex;
  align-items: center;
  column-gap: 0.5em;
}

.searchbox_guest {
  display: flex;
  align-items: center;
  column-gap: 0.5em;
}

@media (max-width: 992px) {
  .searchbox_guest {
    flex-wrap: wrap;
  }
}

.guest_count {
  display: flex;
  column-gap: 1rem;
  margin-left: 1rem;
}

@media (max-width: 992px) {
  .guest_count {
    flex-wrap: wrap;
    width: 100%;
    margin-left: 0;    
    margin-top: 1rem;
    row-gap: 1rem;
  }
}

.guest_count_item {
  display: flex;
  flex-direction: column;
}

.guest_count_item span {
  font-size: 10px;
}

.guest_count_item input {
  width: 4rem;
  text-align: right;
}

input[type=number]::-webkit-outer-spin-button,
input[type=number]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

input[type=number] {
    -moz-appearance: textfield;
}

@media (max-width: 992px) {
  .guest_count_item {
    width: calc(50% - 0.5rem);
  }

  .guest_count_item input {
    width: auto;
    height: 2rem;
  }
}

.searchbox_submit {
  display: flex;
  justify-content: center;
  align-items: center;
  font-family: var(--font-desktop-heading-xxs-family);
  font-size: var(--font-desktop-heading-xxs-size);
  line-height: var(--font-desktop-heading-xxs-line-height);
  text-transform: var(--button-text-transform);
  letter-spacing: var(--button-letter-spacing);
  font-weight: var(--button-font-weight);

  background-color: var(--searchbox-submit-bg)!important;
  border: var(--searchbox-submit-border)!important;
  color: var(--searchbox-submit-color)!important;

  border-radius: 4px!important;
  box-shadow: var(--button-box-shadow);
  padding: var(--button-large-padding);

  height: 3.125rem;
  width: 9.5rem;
  min-width: var(--button-min-width);
  cursor: pointer;
}

@media (max-width: 992px) {
  .searchbox_submit {
    margin: 0 auto;
  }
}

.searchbox_submit:hover {
  background-color: var(--searchbox-submit-hover-bg)!important;
  border: var(--searchbox-submit-hover-border)!important;
  color: var(--searchbox-submit-hover-color)!important;
  
}
